Bug 1185963 (kde-gtk-config) - Review Request: kde-gtk-config - Configure the appearance of GTK apps in KDE
Summary: Review Request: kde-gtk-config - Configure the appearance of GTK apps in KDE
Keywords:
Status: CLOSED ERRATA
Alias: kde-gtk-config
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1174848 (view as bug list)
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-26 17:22 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-23 14:39:44 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2015-01-26 17:22:16 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kde-gtk-config.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kde-gtk-config-5.2.0-1.fc21.src.rpm
Description: Configure the appearance of GTK apps in KDE 
Fedora Account System Username: dvratil

Comment 1 Rex Dieter 2015-01-26 19:03:13 UTC
naming: ok

licensing: not ok

1. MUST use:
# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3

I'm only referencing aggregate GPL here, there is a mixture of both, so if you prefer, you can also do:

# KDE e.V. may determine that future GPL versions are accepted
# KDE e.V. may determine that future LGPL versions are accepted
License: (GPLv2 or GPLv3) and (LGPLv2 or LGPLv3)

sources: ok
283896b01e1d0a2bacf45498aeffefae  kde-gtk-config-5.2.0.tar.xz

scriptlets: ok

macros: ok

2. SHOULD omit these bits:
# not *required*, but very nice.  allows support for instant changes, gtk3.
Requires:       xsettings-kde
Obsoletes:      kcm-gtk < 5
Provides:       kcm-gtk = %{version}-%{release}

until the interaction is better understood (ie, I don't think this one uses xsettings at all, and per irc conversation, we could keep the option open to keeping kcm-gtk alive)

Comment 2 Daniel Vrátil 2015-01-27 10:10:13 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kde-gtk-config.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kde-gtk-config-5.2.0-2.fc21.src.rpm

* Tue Jan 27 2015 Daniel Vrátil <dvratil@redhat.com> - 5.2.0-2
- fix license
- remove Obsoletes/Provides kcm-gtk
- remove Requires xsettings-kde

Comment 3 Rex Dieter 2015-02-14 20:14:14 UTC
*** Bug 1174848 has been marked as a duplicate of this bug. ***

Comment 4 Rex Dieter 2015-02-14 20:15:58 UTC
Looks good thanks, APPROVED

Comment 5 Rex Dieter 2015-05-01 14:31:46 UTC
New Package SCM Request
=======================
Package Name: kde-gtk-config
Short Description: Configure the appearance of GTK apps in KDE
Upstream URL: https://projects.kde.org/projects/kde/workspace/kde-gtk-config
Owners: rdieter group::kde-sig
Branches: f22

Comment 6 Gwyn Ciesla 2015-05-01 14:52:41 UTC
Git done (by process-git-requests).

Comment 7 Rex Dieter 2015-05-01 15:13:12 UTC
imported

Comment 8 Fedora Update System 2015-05-01 17:03:50 UTC
kde-gtk-config-5.3.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kde-gtk-config-5.3.0-1.fc22

Comment 9 Fedora Update System 2015-05-02 18:04:40 UTC
kde-gtk-config-5.3.0-1.fc22 has been pushed to the Fedora 22 testing repository.


Note You need to log in before you can comment on or make changes to this bug.